Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -2203,20 +2796,37 @@
                 btnDispUp.Visible = false;
                 btnDispDown.Visible = false;
 
-                // 施工費以外は処理しない
-                if (GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts) return;
+                // 施工費・人件費以外は処理しない
+                switch (GroupCount)
+                {
+                    case (int)GroupName_ConstructionLedger.ConstructionCosts:
+                    case (int)GroupName_ConstructionLedger.Assistant:
+                    case (int)GroupName_ConstructionLedger.Instructor:
+                        break;
+                    default:
+                        return;
+                }
 
                 // 工事詳細台帳で作成された行だけを対象にする
-                string strFix = CommonMotions.cnvString(CurRow.Cells[(int)DispGridColumn.FixFlg].Value);
+                string strFix = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.FixFlg].Value);
 
+                // 人件費は以下のボタンを表示しない
+                if (GroupCount == (int)GroupName_ConstructionLedger.Assistant || GroupCount == (int)GroupName_ConstructionLedger.Instructor)
+                {
+                    btnLineDel.Visible = true;
+                    return;
+                }
+
                 btnLineAdd.Visible = true;
                 btnDispUp.Visible = true;
                 btnDispDown.Visible = true;
+
                 // 固定行は削除できない
                 if (strFix.Equals("*"))
                     btnLineDel.Visible = false;
                 else
                     btnLineDel.Visible = true;
+
             }
             catch (Exception ex)
             {
@@ -2225,21 +2835,14 @@
         }
         #endregion
 
-        #region 施工費行を追加
+        #region 行を追加する
         /// <summary>
-        /// 施工費行を追加する
+        /// 行を追加する
         /// </summary>
         private void AddLineData()
         {
-            //FrmRowAddChoice frm = new FrmRowAddChoice();
             try
             {
-                // 確認画面表示
-                //frm.ShowDialog();
-                //// キャンセル時処理しない
-                //if (frm.EndButton == DialogResult.Cancel) return;
-                //bool IndependentFlg = frm.IndependentFlg;
-
                 DataGridView dgv = dgvAllDisplay;
                 DataGridViewRow CurRow = dgv.CurrentRow;
 
@@ -2246,7 +2849,7 @@
                 int InsertCnt = 0;
                 // グループカウントを取得する
                 int GroupCount = 0;
-                GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
 
                 if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
                 {
@@ -2256,7 +2859,7 @@
                 else if (GroupCount == 0)
                 {   // 空白行で施工費のすぐ後は対象とする
                     DataGridViewRow wrkRow = dgv.Rows[dgv.CurrentRow.Index - 1];
-                    GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                    GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
                     if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
                     {
                         // 空白行は上に追加
@@ -2276,90 +2879,52 @@
 
                 // 設定データセット
                 DataGridViewRow SetData = dgv.Rows[InsertCnt];
-                SetData.Cells[(int)DispGridColumn.GroupCount].Value = GroupCount;
-                SetData.Cells[(int)DispGridColumn.EstimatePrice].Value = "";
-                SetData.Cells[(int)DispGridColumn.ExecPrice].Value = "0";
-                SetData.Cells[(int)DispGridColumn.Percent].Value = "0.00";
+                SetData.Cells[(int)GridColumn.GroupCount].Value = GroupCount;
+                SetData.Cells[(int)GridColumn.EstimatePrice].Value = "";
+                SetData.Cells[(int)GridColumn.ExecPrice].Value = "0";
+                SetData.Cells[(int)GridColumn.Percent].Value = "0.00";
                 // フラグセット
-                SetData.Cells[(int)DispGridColumn.TitileFlg].Value = "0";
-                SetData.Cells[(int)DispGridColumn.TotalFlg].Value = "0";
-                SetData.Cells[(int)DispGridColumn.BlankFlg].Value = "0";
+                SetData.Cells[(int)GridColumn.TitleFlg].Value = "0";
+                SetData.Cells[(int)GridColumn.TotalFlg].Value = "0";
+                SetData.Cells[(int)GridColumn.BlankFlg].Value = "0";
 
-                //if (IndependentFlg)
-                //{   // ----- 独立データの場合
-                    SetData.Cells[(int)DispGridColumn.IndependentFlg].Value = "1";
-                //}
-                //else
-                //{   // ----- 従属データの場合
-                //    SetData.Cells[(int)DispGridColumn.ChildFlg].Value = "1";
-                //}
+                SetData.Cells[(int)GridColumn.IndependentFlg].Value = "1";
+                SetData.Cells[(int)GridColumn.FluctuationFlg].Value = "0";
 
                 // フィールドロック制御
-                SetData.Cells[(int)DispGridColumn.ItemName].ReadOnly = false;
-                SetData.Cells[(int)DispGridColumn.TextName].ReadOnly = false;
-                SetData.Cells[(int)DispGridColumn.SubContractorName].ReadOnly = false;
-                SetData.Cells[(int)DispGridColumn.ExecPrice].ReadOnly = false;
+                SetData.Cells[(int)GridColumn.ItemName].ReadOnly = false;
+                SetData.Cells[(int)GridColumn.TextName].ReadOnly = false;
+                SetData.Cells[(int)GridColumn.CompanyName].ReadOnly = false;
+                SetData.Cells[(int)GridColumn.ExecPrice].ReadOnly = false;
 
-                // 従属項目は親の番号を取得する
-                int ParentCnt = 0;
-                //if (IndependentFlg)
-                //{   // ----- 独立データの場合
-                    // 行番号を振りなおす
-                    int StLineCnt = 0;
-                    if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
-                        StLineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] + 1;
-                    else if (GroupCount == (int)GroupName_ConstructionLedger.PurchaseCosts)
-                        StLineCnt = m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine] + 1;
+                // 行番号を振りなおす
+                int StLineCnt = 0;
+                //if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
+                //{
+                 StLineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
+                 if (CommonMotions.cnvInt(dgv.Rows[StLineCnt].Cells[(int)GridColumn.TitleFlg].Value) == 1) StLineCnt++;
 
-                    // 採番処理
-                    int iCnt = 1;
-                    string strParentNo = string.Empty;
-                    for (int i = StLineCnt; i < dgv.RowCount; i++)
-                    {
-                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.BlankFlg].Value) == 1) break;
-                        // 従属項目がある行は子行を採番する
-                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.IndependentFlg].Value) != 1)
-                        {
-                            // 採番処理
-                            SetDependentItemLineNo(ParentCnt + 1, strParentNo);
-                            continue;
-                        }
-
-                        dgv.Rows[i].Cells[(int)DispGridColumn.No].Value = string.Format("{0}-{1}", GroupCount, iCnt);
-                        strParentNo = CommonMotions.cnvString(dgv.Rows[i].Cells[(int)DispGridColumn.No].Value);
-                        ParentCnt = i;
-                        iCnt++;
-                    }
                 //}
-                //else
-                //{   // ----- 従属データの場合
-                //    for (int i = InsertCnt; i > 0; i--)
-                //    {
-                //        // 独立データのフラグONまで検索
-                //        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.IndependentFlg].Value) == 1)
-                //        {
-                //            ParentCnt = i;
-                //            break;
-                //        }
-                //    }
-                //    // 親の番号取得
-                //    string strNo = CommonMotions.cnvString(dgv.Rows[ParentCnt].Cells[(int)DispGridColumn.No].Value).Trim();
-                //    // 採番処理
-                //    SetDependentItemLineNo(ParentCnt + 1, strNo);
+                //else if (GroupCount == (int)GroupName_ConstructionLedger.PurchaseCosts)
+                //{
+                //    StLineCnt = m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine] + 1;
                 //}
 
-                // 自分より下の集計行を加算する
-                int GroupLineNo = 0;
-                if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
-                    GroupLineNo = (int)CostsRowLine.ConstructionCostLine;
-                else if (GroupCount == (int)GroupName_ConstructionLedger.PurchaseCosts)
-                    GroupLineNo = (int)CostsRowLine.PurchaseCostsRowLine;
-                // 行加算処理
-                for (int i = GroupLineNo + 1; i < m_CostsRowCount.Length; i++)
+                // 採番処理
+                int iCnt = 1;
+                string strParentNo = string.Empty;
+                for (int i = StLineCnt; i < dgv.RowCount; i++)
                 {
-                    if (m_CostsRowCount[i] != 0) m_CostsRowCount[i]++;
+                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
+
+                    dgv.Rows[i].Cells[(int)GridColumn.No].Value = string.Format("{0}-{1}", GroupCount, iCnt);
+                    strParentNo = CommonMotions.cnvString(dgv.Rows[i].Cells[(int)GridColumn.No].Value);
+                    iCnt++;
                 }
 
+                // 行数の再構成を行う
+                SetCostsRowCount();
+
                 // 行選択色を設定
                 SelectRowChangeColor(m_BeforeGridRow);
 
@@ -2370,10 +2935,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                //frm.Dispose(); frm = null;
-            }
         }
         #endregion
 
@@ -2391,9 +2952,9 @@
                 int iCnt = 1;
                 for (int i = startLine; i < dgv.RowCount; i++, iCnt++)
                 {
-                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.IndependentFlg].Value) == 1) break;
-                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.BlankFlg].Value) == 1) break;
-                    dgv.Rows[i].Cells[(int)DispGridColumn.No].Value = string.Format("{0}-{1}", strParentNo, iCnt);
+                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.IndependentFlg].Value) == 1) break;
+                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
+                    dgv.Rows[i].Cells[(int)GridColumn.No].Value = string.Format("{0}-{1}", strParentNo, iCnt);
                 }
             }
             catch (System.Exception ex)
@@ -2403,10 +2964,131 @@
         }
         #endregion
 
-        #region 施工費行を削除
+        #region 行数の再構成を行う
         /// <summary>
-        /// 施工費行を削除する
+        /// 行数の再構成を行う
         /// </summary>
+        private void SetCostsRowCount()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                Array.Clear(m_CostsRowCount, 0, m_CostsRowCount.Length);
+                int GroupNo = -1;
+                int CompNo = -1;
+                foreach (DataGridViewRow RowLine in dgv.Rows)
+                {
+                    // 明細行以外は処理しない
+                    if (CommonMotions.cnvInt(RowLine.Cells[(int)GridColumn.TitleFlg].Value) == 1) continue;
+                    if (CommonMotions.cnvInt(RowLine.Cells[(int)GridColumn.TotalFlg].Value) == 1) continue;
+                    if (CommonMotions.cnvInt(RowLine.Cells[(int)GridColumn.BlankFlg].Value) == 1) continue;
+
+                    CompNo = CommonMotions.cnvInt(RowLine.Cells[(int)GridColumn.GroupCount].Value);
+                    // グループ番号が0は処理しない
+                    if (CompNo == 0) continue;
+                    // グループ番号が同じ場合も処理しない
+                    if (GroupNo == CompNo) continue;
+
+                    GroupNo = CompNo;
+                    switch (GroupNo)
+                    {
+                        case (int)GroupName_ConstructionLedger.Expenses:
+                            // 1:経費
+                            m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.ConstructionCosts:
+                            // 2:施工費
+                            m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.TransportationCosts:
+                            // 3:交通費（通行料・電車代）
+                            m_CostsRowCount[(int)CostsRowLine.TransportationCostsRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.PurchaseCosts:
+                            // 4:購入品
+                            m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.VehicleLeaseFee:
+                            // 5:車両リース代
+                            m_CostsRowCount[(int)CostsRowLine.VehicleLeaseFeeRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.ParkingCosts:
+                            // 6:駐車場・資材置き場
+                            m_CostsRowCount[(int)CostsRowLine.ParkingCostsRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.RoomChargeCosts:
+                            // 7:宿泊費
+                            m_CostsRowCount[(int)CostsRowLine.RoomChargeCostsRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.DisposeCosts:
+                            // 8:処分費等
+                            m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.Instructor:
+                            // 9:指導員給料行
+                            m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.Assistant:
+                            // 10:副担当者給料行
+                            m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.Payroll:
+                            // 11:担当者給料行
+                            m_CostsRowCount[(int)CostsRowLine.PayrollRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.NetIncome:
+                            // 12:純利益
+                            m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.AllTotal:
+                            // 13:合計金額
+                            m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.BillingAmount:
+                            // 14:請求金額
+                            m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine] = RowLine.Index;
+                            break;
+                        case (int)GroupName_ConstructionLedger.CurrentProfit:
+                            // 15:現在利益金額
+                            m_CostsRowCount[(int)CostsRowLine.CurrentProfitRowLine] = RowLine.Index;
+                            break;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 行のクリア
+        /// <summary>
+        /// 行のクリア
+        /// </summary>
+        /// <param name="CurRow"></param>
+        private void GridRowClear(DataGridViewRow CurRow)
+        {
+            try
+            {
+                string wrkstring = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.ItemName].Value);
+
+                CurRow.Cells[(int)GridColumn.ItemName].Value = wrkstring.Substring(0, wrkstring.IndexOf("【"));
+                CurRow.Cells[(int)GridColumn.TextName].Value = "";
+                CurRow.Cells[(int)GridColumn.CompanyCode].Value = "0";
+                CurRow.Cells[(int)GridColumn.ExecPrice].Value = "0";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 行を削除する
+        /// <summary>
+        /// 行を削除する
+        /// </summary>
         private void DelLineData()
         {
             try
@@ -2416,21 +3098,40 @@
 
                 int RemoveCnt = 0;
                 // グループカウントを取得する
-                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
 
-                // 施工費グループの以外は処理しない
-                if (GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts) return;
-
+                // 固定フラグを取得する
+                int TitleFlg = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value);
+                string FixFlg = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.FixFlg].Value);
+                // 施工費・人件費グループの以外は処理しない
+                switch (GroupCount)
+                {
+                    case (int)GroupName_ConstructionLedger.Assistant:
+                    case (int)GroupName_ConstructionLedger.Instructor:
+                        if (TitleFlg == 1) return;
+                        if (FixFlg.Equals("*"))
+                        {
+                            GridRowClear(CurRow);
+                            // 変更フラグON
+                            m_bChengeAns = true;
+                            return;
+                        }
+                        break;
+                    case (int)GroupName_ConstructionLedger.ConstructionCosts:
+                        break;
+                    default:
+                        return;
+                }
                 // 従属フラグを取得する
-                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.ChildFlg].Value);
+                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ChildFlg].Value);
 
                 // 削除行取得
                 RemoveCnt = CurRow.Index;
 
                 // タイトルの場合は削除無
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) RemoveCnt = 0;
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) == 1) RemoveCnt = 0;
                 // 空白行の場合は削除無
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) RemoveCnt = 0;
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) RemoveCnt = 0;
 
                 // 選択行が不正ならば処理しない
                 if (RemoveCnt == 0) return;
@@ -2438,7 +3139,7 @@
                 // 行削除
                 dgv.Rows.RemoveAt(RemoveCnt);
 
-                // 施工費グループ行番号を振りなおす
+                // グループ行番号を振りなおす
                 int ParentCnt = 0;
                 if (ChildFlg == 0)
                 {   // ----- 独立データの場合
@@ -2445,9 +3146,20 @@
                     // 行番号を振りなおす
                     int StLineCnt = 0;
                     if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
+                    {
                         StLineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] + 1;
-                    else if (GroupCount == (int)GroupName_ConstructionLedger.PurchaseCosts)
-                        StLineCnt = m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine] + 1;
+                    }
+                    else if (GroupCount != (int)GroupName_ConstructionLedger.Assistant && GroupCount != (int)GroupName_ConstructionLedger.Instructor)
+                    {
+                        for (int i = RemoveCnt; i > 0; i--)
+                        {
+                            if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.TitleFlg].Value) != 0)
+                            {
+                                StLineCnt = i;
+                                break;
+                            }
+                        }
+                    }
 
                     // 採番処理
                     int iCnt = 1;
@@ -2454,9 +3166,9 @@
                     string strParentNo = string.Empty;
                     for (int i = StLineCnt; i < dgv.RowCount; i++)
                     {
-                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.BlankFlg].Value) == 1) break;
+                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
                         // 従属項目がある行は子行を採番する
-                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.IndependentFlg].Value) != 1)
+                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.IndependentFlg].Value) != 1)
                         {
                             // 採番処理
                             SetDependentItemLineNo(ParentCnt + 1, strParentNo);
@@ -2463,8 +3175,8 @@
                             continue;
                         }
 
-                        dgv.Rows[i].Cells[(int)DispGridColumn.No].Value = string.Format("{0}-{1}", GroupCount, iCnt);
-                        strParentNo = CommonMotions.cnvString(dgv.Rows[i].Cells[(int)DispGridColumn.No].Value);
+                        dgv.Rows[i].Cells[(int)GridColumn.No].Value = string.Format("{0}-{1}", GroupCount, iCnt);
+                        strParentNo = CommonMotions.cnvString(dgv.Rows[i].Cells[(int)GridColumn.No].Value);
                         ParentCnt = i;
                         iCnt++;
                     }
@@ -2474,7 +3186,7 @@
                     for (int i = RemoveCnt; i > 0; i--)
                     {
                         // 独立データのフラグONまで検索
-                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)DispGridColumn.IndependentFlg].Value) == 1)
+                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.IndependentFlg].Value) == 1)
                         {
                             ParentCnt = i;
                             break;
@@ -2481,23 +3193,13 @@
                         }
                     }
                     // 親の番号取得
-                    string strNo = CommonMotions.cnvString(dgv.Rows[ParentCnt].Cells[(int)DispGridColumn.No].Value).Trim();
+                    string strNo = CommonMotions.cnvString(dgv.Rows[ParentCnt].Cells[(int)GridColumn.No].Value).Trim();
                     // 採番処理
                     SetDependentItemLineNo(ParentCnt + 1, strNo);
                 }
-                // 自分より下の集計行を減算する
-                int GroupLineNo = 0;
-                if (GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
-                    GroupLineNo = (int)CostsRowLine.ConstructionCostLine;
+                // 行情報を更新する
+                SetCostsRowCount();
 
-                for (int i = GroupLineNo + 1; i < m_CostsRowCount.Length; i++)
-                {
-                    if (m_CostsRowCount[i] != 0) m_CostsRowCount[i]--;
-                }
-
-                // 削除行が従属項目だった場合は親の再計算をする
-                //if (ChildFlg != 0) CalculateChildLine(ParentCnt);
-
                 // 行選択色を変更する
                 DefaultALLRowChangeColor();
 
@@ -2506,8 +3208,8 @@
 
                 // カレント行が削除不可の場合はボタンを消す
                 btnLineDel.Visible = false;
-                if (CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)DispGridColumn.FixFlg].Value).Equals("*")) return;    // 固定行は処理しない
-                if (CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) return;            // 空白行は処理しない
+                if (CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) return;    // 固定行は処理しない
+                if (CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) return;            // 空白行は処理しない
                 btnLineDel.Visible = true;
             }
             catch (System.Exception ex)
@@ -2530,10 +3232,10 @@
                 DataGridView dgv = dgvAllDisplay;
 
                 // カレントを親行へ変更する
-                dgv.CurrentCell = dgv.Rows[ParentLine].Cells[(int)DispGridColumn.ItemName];
+                dgv.CurrentCell = dgv.Rows[ParentLine].Cells[(int)GridColumn.ItemName];
 
                 object sender = dgvAllDisplay;
-                DataGridViewCellEventArgs e = new DataGridViewCellEventArgs((int)DispGridColumn.ItemName, ParentLine);
+                DataGridViewCellEventArgs e = new DataGridViewCellEventArgs((int)GridColumn.ItemName, ParentLine);
                 dgvAllDisplay_CellValidated(sender, e);
             }
             catch (System.Exception ex)
@@ -2556,13 +3258,13 @@
 
                 int UpCnt = 0;
                 // グループカウントを取得する
-                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
 
                 // 施工費・購入品グループの以外は処理しない
                 if (GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts && GroupCount != (int)GroupName_ConstructionLedger.PurchaseCosts) return;
 
                 // 従属フラグを取得する
-                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.ChildFlg].Value);
+                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ChildFlg].Value);
 
                 // 施工費・購入品グループの場合は上に追加
                 UpCnt = CurRow.Index;
@@ -2573,14 +3275,14 @@
                 // 従属項目が対象の場合は1行が上が親項目かどうかを確認してそこより上には上がらない
                 if (ChildFlg != 0)
                 {
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.IndependentFlg].Value) != 0) return;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value) != 0) return;
                 }
 
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) == 1)
                 {   // タイトルの場合は処理しない
                     UpCnt = 0;
                 }
-                else if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                else if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) == 1)
                 {   // １行上がタイトルの場合は処理しない
                     UpCnt = 0;
                 }
@@ -2589,7 +3291,7 @@
                 if (UpCnt == 0) return;
 
                 // グリッドアップキー処理
-                DataGridViewAction.GridRowUpAction(dgv, (int)DispGridColumn.FixFlg, (dgv.ColumnCount - 1));
+                DataGridViewAction.GridRowUpAction(dgv, (int)GridColumn.FixFlg, (dgv.ColumnCount - 1));
 
                 // 行選択色を変更する
                 DefaultALLRowChangeColor();
@@ -2615,13 +3317,13 @@
 
                 int DownCnt = 0;
                 // グループカウントを取得する
-                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                int GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
 
                 // 施工費・購入品グループの以外は処理しない
                 if (GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts && GroupCount != (int)GroupName_ConstructionLedger.PurchaseCosts) return;
 
                 // 従属フラグを取得する
-                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.ChildFlg].Value);
+                int ChildFlg = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ChildFlg].Value);
 
                 // 施工費・購入品グループの場合は上に追加
                 DownCnt = CurRow.Index;
@@ -2631,14 +3333,14 @@
                 // 従属項目が対象の場合は1行が下が独立項目かどうかを確認してそこより下には下がらない
                 if (ChildFlg != 0)
                 {
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.IndependentFlg].Value) != 0) return;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value) != 0) return;
                 }
-                
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) == 1)
                 {   // タイトルの場合は処理しない
                     DownCnt = 0;
                 }
-                else if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == 0)
+                else if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == 0)
                 {   // １行上が空白の場合は処理しない
                     DownCnt = 0;
                 }
@@ -2647,7 +3349,7 @@
                 if (DownCnt == 0) return;
 
                 // グリッドダウンキー処理
-                DataGridViewAction.GridRowDownAction(dgv, (int)DispGridColumn.FixFlg, (dgv.ColumnCount - 1));
+                DataGridViewAction.GridRowDownAction(dgv, (int)GridColumn.FixFlg, (dgv.ColumnCount - 1));
 
                 // 行選択色を変更する
                 DefaultALLRowChangeColor();
@@ -2674,7 +3376,7 @@
             {
                 //データチェック
                 if (!DispFeildCheck()) return false;
-                
+
                 if (Display)
                 {
                     if (MessageBox.Show("工事予算書データを更新します、よろしいですか？", "登録確認"
@@ -2701,7 +3403,7 @@
                     return false;
                 }
 
-                // 詳細台帳明細データ
+                // 詳細台帳実行データ
                 if (!ConstructionLedgerExcuteEntry(ExcuteDB))
                 {
                     LedgerDB.rollback();
@@ -2749,7 +3451,7 @@
                 DataGridView dgv = dgvAllDisplay;
                 for (int i = 0; i < m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine]; i++)
                 {
-                    if (CommonMotions.cnvString(dgv.Rows[i].Cells[(int)DispGridColumn.ItemName].Value).IndexOf(Terget) >= 0)
+                    if (CommonMotions.cnvString(dgv.Rows[i].Cells[(int)GridColumn.ItemName].Value).IndexOf(Terget) >= 0)
                     {
                         LineRet = i;
                         break;
